Name:           jaxb-api
Version:        4.0.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jakarta XML Binding API
License:        BSD-3-Clause
URL:            https://github.com/eclipse-ee4j/jaxb-api
BuildArch:      noarch
#if 0%%{?java_arches:1}
#ExclusiveArch:  %%{java_arches} noarch
#endif

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
The Jakarta XML Binding provides an API and tools that automate the mapping
between XML documents and Java objects.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# Remove unnecessary dependency on parent POM
%pom_remove_parent

%pom_remove_plugin -r :buildnumber-maven-plugin
%pom_remove_plugin -r :glassfish-copyright-maven-plugin
%pom_remove_plugin -r :maven-enforcer-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md NOTICE.md




%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 4.0.0-1.mga10
+ Revision: 1986452
- Update to upstream version 4.0.0

* Sat Mar 26 2022 umeabot <umeabot> 2.3.3-2.mga9
+ Revision: 1827550
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 2.3.3-1.mga8
+ Revision: 1621624
- update to 2.3.3
- package renamed from glassfish-jaxb-api to jaxb-api

* Fri Feb 14 2020 umeabot <umeabot> 1:2.2.12-9.mga8
+ Revision: 1520855
- Mageia 8 Mass Rebuild

* Tue Dec 11 2018 daviddavid <daviddavid> 1:2.2.12-8.mga7
+ Revision: 1340299
- Fix OSGi metadata

* Tue Sep 18 2018 umeabot <umeabot> 1:2.2.12-7.mga7
+ Revision: 1261471
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1:2.2.12-6.mga6
+ Revision: 982039
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:2.2.12-5.mga6
+ Revision: 976293
- First rebuild of the java stack
- sync package glassfish-jaxb-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 1:2.2.12-1.mga6
+ Revision: 902620
- sync with fc24 (update to 2.2.12)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.9-6.mga5
+ Revision: 749584
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 1:2.2.9-4.mga4
+ Revision: 560702
- Fix requires ( epoch was missing)

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.9-3.mga4
+ Revision: 544978
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 tv <tv> 1:2.2.9-2.mga4
+ Revision: 511586
- rebuild for libgoogle-data-mono, hopefully making it installable again

* Tue Oct 15 2013 dmorgan <dmorgan> 1:2.2.9-1.mga4
+ Revision: 500581
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1:2.2.7-3.mga3
+ Revision: 351727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 1:2.2.7-2.mga3
+ Revision: 294817
- Fix require in the javadoc package

* Sat Sep 08 2012 dmorgan <dmorgan> 1:2.2.7-1.mga3
+ Revision: 290427
- New version 2.2.7

* Sat Jun 23 2012 dmorgan <dmorgan> 1:2.2.3-1.mga3
+ Revision: 262857
- Revert to version 2.2.3

* Wed Jun 20 2012 dmorgan <dmorgan> 2.2.6-1.mga3
+ Revision: 262216
- New version 2.2.6

* Tue Jan 17 2012 dmorgan <dmorgan> 2.2.3-2.mga2
+ Revision: 197589
- Clean spec file
+ gil <gil>
- build fix
  removed jaf apis from pom file (used jvm apis)
  configured maven plugins
  used bea-stax-api instead of glassfish-stax-api
  added OSGi support
- imported package glassfish-jaxb-api

